Liblinphone: linphone::SearchResult Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::SearchResult Class Reference

The SearchResult object represents a result of a search. More...

`#include <search_result.hh>`

Inheritance diagram for linphone::SearchResult:

## Public Member Functions
LINPHONECXX_PUBLIC | SearchResult (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneSearchResult * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getAddress () const
| Gets the address of the search result if any.
LINPHONECXX_PUBLIC int | getCapabilities () const
| Returns the capabilities mask of the search result.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Friend > | getFriend () const
| Gets the friend of the search result if any.
LINPHONECXX_PUBLIC std::string | getPhoneNumber () const
| Gets the phone number of the search result if any.
LINPHONECXX_PUBLIC int | getSourceFlags () const
| Gets source flags of the search result.
LINPHONECXX_PUBLIC unsigned int | getWeight () const
| Gets the weight of the search result.
LINPHONECXX_PUBLIC bool | hasCapability (linphone::Friend::Capability capability) const
| Returns whether or not the search result has the given capability.

## Detailed Description

The SearchResult object represents a result of a search.

## Member Function Documentation

## ◆ getAddress()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::SearchResult::getAddress | ( |  | ) | const

Gets the address of the search result if any.

Returns
  The associed Address or nullptr.

## ◆ getCapabilities()

LINPHONECXX_PUBLIC int linphone::SearchResult::getCapabilities | ( |  | ) | const

Returns the capabilities mask of the search result.

Returns
  the capabilities mask associated to the search result

## ◆ getFriend()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Friend > linphone::SearchResult::getFriend | ( |  | ) | const

Gets the friend of the search result if any.

Returns
  The associated Friend or nullptr.

## ◆ getPhoneNumber()

LINPHONECXX_PUBLIC std::string linphone::SearchResult::getPhoneNumber | ( |  | ) | const

Gets the phone number of the search result if any.

Returns
  The associed phone number or nullptr.

## ◆ getSourceFlags()

LINPHONECXX_PUBLIC int linphone::SearchResult::getSourceFlags | ( |  | ) | const

Gets source flags of the search result.

Returns
  the source flags from MagicSearch::Source

## ◆ getWeight()

LINPHONECXX_PUBLIC unsigned int linphone::SearchResult::getWeight | ( |  | ) | const

Gets the weight of the search result.

Returns
  the result weight

## ◆ hasCapability()

LINPHONECXX_PUBLIC bool linphone::SearchResult::hasCapability | ( | linphone::Friend::Capability | capability | ) | const

Returns whether or not the search result has the given capability.

Parameters

  capability | the Friend::Capability to check

Returns
  true if it has the capability, false otherwise.

The documentation for this class was generated from the following file:

- search_result.hh